summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Juan M. Lasca2022-08-06 03:35:17 +0200
committer Willy Sudiarto Raharjo2022-08-06 15:16:12 +0200
commit362caa9df93ff5a072e3e23bcf658d767945f83f (patch)
tree02a0ff9f0671e2204d01aba95f4b4f8fdb52961b
parent9634b982b221447475e8f9f1f7d7ab7c9202224f (diff)
downloadslackbuilds-362caa9df93ff5a072e3e23bcf658d767945f83f.tar.gz
development/tkcon: Added (replacement for the standard Tk console)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--development/tkcon/README10
-rw-r--r--development/tkcon/doinst.sh4
-rw-r--r--development/tkcon/slack-desc19
-rw-r--r--development/tkcon/tkcon.SlackBuild116
-rw-r--r--development/tkcon/tkcon.info10
5 files changed, 159 insertions, 0 deletions
diff --git a/development/tkcon/README b/development/tkcon/README
new file mode 100644
index 0000000000..60ff5181cd
--- /dev/null
+++ b/development/tkcon/README
@@ -0,0 +1,10 @@
+tkcon is a replacement for the standard console that comes with Tk.
+The console itself provides many more features than the standard
+console and works on all platforms where Tcl/Tk is available. It is
+meant primarily to aid one when working with the little details inside
+tcl and tk, giving Unix users the GUI console provided by default in the
+Mac and Windows Tk.
+
+OPTIONAL DEPENDENCIES:
+* tcllib: if installed, generate man pages.
+
diff --git a/development/tkcon/doinst.sh b/development/tkcon/doinst.sh
new file mode 100644
index 0000000000..696d35bad7
--- /dev/null
+++ b/development/tkcon/doinst.sh
@@ -0,0 +1,4 @@
+
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/development/tkcon/slack-desc b/development/tkcon/slack-desc
new file mode 100644
index 0000000000..d8bb0232c3
--- /dev/null
+++ b/development/tkcon/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+tkcon: tkcon (replacement for the standard Tk console)
+tkcon:
+tkcon: The console itself provides many more features than the standard
+tkcon: console and works on all platforms where Tcl/Tk is available. It
+tkcon: is meant primarily to aid one when working with the little details
+tkcon: inside tcl and tk, giving Unix users the GUI console provided by
+tkcon: default in the Mac and Windows Tk.
+tkcon:
+tkcon:
+tkcon: http://tkcon.sourceforge.net
+tkcon:
diff --git a/development/tkcon/tkcon.SlackBuild b/development/tkcon/tkcon.SlackBuild
new file mode 100644
index 0000000000..e5e99eeb63
--- /dev/null
+++ b/development/tkcon/tkcon.SlackBuild
@@ -0,0 +1,116 @@
+#!/bin/bash
+
+# Slackware build script for tkcon
+
+# Copyright 2022 Juan M. Lasca <juanmlasca@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=tkcon
+VERSION=${VERSION:-2.7.10}
+BUILD=${BUILD:-2}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+chmod -R -x .
+install tkcon.tcl -Dm755 $PKG/usr/lib${LIBDIRSUFFIX}/tkcon/tkcon.tcl
+sed -i 's/Utility\;//;/Encoding=UTF-8/d;/Comment=/d' tkcon-console.desktop
+install tkcon-console.desktop -Dm644 $PKG/usr/share/applications/tkcon-console.desktop
+install icons/tkcon-small48.png -Dm644 $PKG/usr/share/pixmaps/tkcon-icon.png
+sed -i 's/2\.7/2\.7\.10/' pkgIndex.tcl
+install pkgIndex.tcl -Dm644 $PKG/usr/lib${LIBDIRSUFFIX}/tkcon/pkgIndex.tcl
+install icons/tkcon-small48.png -Dm644 $PKG/usr/share/icons/tkcon-icon.png
+mkdir -p $PKG/usr/bin
+( cd $PKG/usr/bin ; ln -s ../lib${LIBDIRSUFFIX}/tkcon/tkcon.tcl tkcon )
+
+# if dtplite tool is installed (tcllib package), generate man pages
+if [ -x /usr/bin/dtplite ]; then
+ mkdir -p $PKG/usr/man/mann $PKG/usr/man/man5 $PKG/usr/man/man1
+ dtplite -o $PKG/usr/man/mann/dump.n nroff docs/dump.n.man
+ dtplite -o $PKG/usr/man/mann/idebug.n nroff docs/idebug.n.man
+ dtplite -o $PKG/usr/man/mann/observe.n nroff docs/observe.n.man
+ dtplite -o $PKG/usr/man/man1/tkcon.1 nroff docs/tkcon.1.man
+ dtplite -o $PKG/usr/man/mann/tkcon.n nroff docs/tkcon.n.man
+ dtplite -o $PKG/usr/man/man5/tkconrc.5 nroff docs/tkconrc.5.man
+ find $PKG/usr/man -type f -exec gzip -9 {} \;
+ for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+fi
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/html/docs
+cp -a \
+ README.txt docs/license.terms \
+$PKG/usr/doc/$PRGNAM-$VERSION
+cp -a docs/*.html docs/demopic.png docs/style.css $PKG/usr/doc/$PRGNAM-$VERSION/html/docs
+cp -a index.html $PKG/usr/doc/$PRGNAM-$VERSION/html/
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/development/tkcon/tkcon.info b/development/tkcon/tkcon.info
new file mode 100644
index 0000000000..0962b3a296
--- /dev/null
+++ b/development/tkcon/tkcon.info
@@ -0,0 +1,10 @@
+PRGNAM="tkcon"
+VERSION="2.7.10"
+HOMEPAGE="http://tkcon.sourceforge.net"
+DOWNLOAD="https://github.com/wjoye/tkcon/archive/v2.7.10/tkcon-2.7.10.tar.gz"
+MD5SUM="797a81bfe93d4181c4cf0f6d4c41b69a"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Juan M. Lasca"
+EMAIL="juanmlasca@gmail.com"